# Interface methods for submodule: SpeckleNoiseImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import NoiseBaseImageFilterProxy as _NoiseBaseImageFilterProxy


# Interface methods for class: SpeckleNoiseImageFilter
class SpeckleNoiseImageFilterProxy(_NoiseBaseImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetStandardDeviation(self) -> float:
		""""""
		...

	def SetStandardDeviation(self, _arg: float) -> None:
		""""""
		...

